plymouthd crashed with SIGSEGV in ply_event_loop_process_pending_events()

Bug #553745 reported by j0sh on 2010-04-02
This bug affects 1169 people
Affects Status Importance Assigned to Milestone
Plymouth
Fix Released
Medium
plymouth (Ubuntu)
High
James Hunt
Declined for Karmic by Steve Langasek
Natty
High
Canonical Foundations Team
Precise
High
James Hunt

Bug Description

Binary package hint: plymouth

just upgraded to lucid, first reboot tried to start accounts

ProblemType: Crash
DistroRelease: Ubuntu 10.04
Package: plymouth 0.8.1-4
ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-19-generic i686
NonfreeKernelModules: wl
Architecture: i386
Date: Thu Apr 1 22:14:11 2010
DefaultPlymouth: /lib/plymouth/themes/kubuntu-logo/kubuntu-logo.plymouth
ExecutablePath: /sbin/plymouthd
MachineType: Dell Inc. Inspiron 1545
ProcCmdLine: root=UUID=73530dc8-e3cc-4147-b801-4725b2f88141 ro quiet splash vga=792
ProcCmdline: /sbin/plymouthd --mode=boot --attach-to-session
ProcEnviron: PATH=(custom, no user)
ProcFB: 0 inteldrmfb
SegvAnalysis:
 Segfault happened at: 0xfb5fe1 <ply_event_loop_process_pending_events+513>: test %eax,0x4(%esi)
 PC (0x00fb5fe1) ok
 source "%eax" ok
 destination "0x4(%esi)" (0x00000004) not located in a known VMA region (needed writable region)!
SegvReason: writing NULL VMA
Signal: 11
SourcePackage: plymouth
StacktraceTop:
 ply_event_loop_process_pending_events ()
 ply_event_loop_run () from /lib/libply.so.2
 ?? ()
 __libc_start_main () from /lib/tls/i686/cmov/libc.so.6
 ?? ()
TextPlymouth: /lib/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
Title: plymouthd crashed with SIGSEGV in ply_event_loop_process_pending_events()
UserGroups:

dmi.bios.date: 07/17/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A10
dmi.board.name: 0G848F
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA10:bd07/17/2009:svnDellInc.:pnInspiron1545:pvr:rvnDellInc.:rn0G848F:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Inspiron 1545
dmi.sys.vendor: Dell Inc.

j0sh (zerounix) wrote :

StacktraceTop:
 ply_event_loop_process_pending_events (
 ply_event_loop_run (loop=0x90280a8) at ply-event-loop.c:1312
 main (argc=3, argv=0xbfeba124) at main.c:1916

Changed in plymouth (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
tags: added: bugpattern-needed
Nigel Babu (nigelbabu) on 2010-04-05
visibility: private → public
Changed in plymouth (Ubuntu):
status: New → Confirmed
Martin Pitt (pitti) on 2010-04-07
Changed in plymouth (Ubuntu):
importance: Medium → High

This seemed to happen randomly for me, but didn't appear to affect system stability.

swests (simon-thewests) wrote :

I only seem to get this when I use the new nouveau driver. If I use the Nvidia (Current version) driver I don't seem to get the problem.

NeilGreenwood (neil-greenwood) wrote :

I don't have a Nvidia graphics card in the laptop where I saw this crash.

lspci shows:
Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller [8086:27a2]

tags: added: bugpattern-written
removed: bugpattern-needed

For the record, I get this crash on a Dell Mini 10, with Intel 945.

Compaq Presario CQ50 laptop Geforce 8200M here.

Using (current) nvidia driver as well, missed that out. Doesn't look like a graphics driver issue.

Mark Cariaga (mzc) wrote :

@Martin Pitt: I have an AOD250 and HP mini 110-1116NR, both exhibit the
bug.

On Wed, 2010-04-07 at 20:15 +0000, Martin Pitt wrote:
> For the record, I get this crash on a Dell Mini 10, with Intel 945.
>

Mark Cariaga (mzc) wrote :

@Martin Pitt: I have an AOD250 and a HP mini 110-1116NR both exhibit
the same bug

On Wed, 2010-04-07 at 20:15 +0000, Martin Pitt wrote:
> For the record, I get this crash on a Dell Mini 10, with Intel 945.
>

Martin Spacek (mspacek) wrote :

I got this on my Thinkpad W510, quite randomly soon after bootup. It's only happened once so far. I'm running the latest 64 bit lucid, with the latest nvidia binary drivers.

Ruben Verweij (ruben-verweij) wrote :

Also see this with dual monitors using nouveau on a nVidia Corporation NV44A [GeForce 6200] (rev a1).

Alessandro Losavio (alo21) wrote :

when i want to update my system there was this bug

tags: added: iso-testing
Yann (lostec) wrote :
Download full text (6.0 KiB)

I had this bug, running pae kernel in a VirtualBox VM: Disk check was running and freezed at this moment...

syslog output around crash:

****

Apr 8 16:15:53 yann-laptop NetworkManager: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) scheduled...
Apr 8 16:15:53 yann-laptop NetworkManager: <info> Activation (eth0) Stage 4 of 5 (IP4 Configure Get) complete.
Apr 8 16:15:53 yann-laptop NetworkManager: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) started...
Apr 8 16:15:53 yann-laptop avahi-daemon[547]: Joining mDNS multicast group on interface eth0.IPv4 with address 10.0.2.15.
Apr 8 16:15:53 yann-laptop avahi-daemon[547]: New relevant interface eth0.IPv4 for mDNS.
Apr 8 16:15:53 yann-laptop avahi-daemon[547]: Registering new address record for 10.0.2.15 on eth0.IPv4.
Apr 8 16:15:53 yann-laptop dhclient: bound to 10.0.2.15 -- renewal in 33102 seconds.
Apr 8 16:15:53 yann-laptop kernel: [ 44.457002] vboxguest: exports duplicate symbol RTMemExecFree (owned by vboxdrv)
Apr 8 16:15:54 yann-laptop NetworkManager: <info> (eth0): device state change: 7 -> 8 (reason 0)
Apr 8 16:15:54 yann-laptop NetworkManager: <info> Policy set 'Auto eth0' (eth0) as default for routing and DNS.
Apr 8 16:15:54 yann-laptop NetworkManager: <info> Activation (eth0) successful, device activated.
Apr 8 16:15:54 yann-laptop NetworkManager: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) complete.
Apr 8 14:15:57 yann-laptop ntpdate[901]: step time server 91.189.94.4 offset -7198.369434 sec
Apr 8 14:16:01 yann-laptop kernel: [ 51.051506] eth0: no IPv6 routers present
Apr 8 14:17:01 yann-laptop CRON[952]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
Apr 8 17:44:21 yann-laptop kernel: imklog 4.2.0, log source = /proc/kmsg started.
Apr 8 17:44:21 yann-laptop rsyslogd: [origin software="rsyslogd" swVersion="4.2.0" x-pid="514" x-info="http://www.rsyslog.com"] (re)start
Apr 8 17:44:21 yann-laptop rsyslogd: rsyslogd's groupid changed to 103
Apr 8 17:44:21 yann-laptop rsyslogd: rsyslogd's userid changed to 101
Apr 8 17:44:21 yann-laptop rsyslogd-2039: Could no open output file '/dev/xconsole' [try http://www.rsyslog.com/e/2039 ]
Apr 8 17:44:21 yann-laptop kernel: [ 0.000000] Initializing cgroup subsys cpuset
Apr 8 17:44:21 yann-laptop kernel: [ 0.000000] Initializing cgroup subsys cpu
Apr 8 17:44:21 yann-laptop kernel: [ 0.000000] Linux version 2.6.32-19-generic-pae (buildd@palmer) (gcc version 4.4.3 (Ubuntu 4.4.3-4ubuntu5) ) #28-Ubu
ntu SMP Wed Mar 31 18:57:46 UTC 2010 (Ubuntu 2.6.32-19.28-generic-pae 2.6.32.10+drm33.1)
(...)
Apr 8 17:44:23 yann-laptop cron[710]: (CRON) STARTUP (fork ok)
Apr 8 17:44:23 yann-laptop anacron[706]: Will run job `cron.daily' in 5 min.
Apr 8 17:44:23 yann-laptop anacron[706]: Jobs will be executed sequentially
Apr 8 17:44:24 yann-laptop acpid: 39 rules loaded
Apr 8 17:44:24 yann-laptop acpid: waiting for events: event logging is off
Apr 8 17:44:24 yann-laptop cron[710]: (CRON) INFO (Running @reboot jobs)
Apr 8 17:44:25 yann-laptop kernel: [ 30.573175] vboxdrv: Trying to deactivate the NMI watchdog permanently...
Apr 8 17:44:25 yann-laptop kernel: [ 30....

Read more...

Guy Taylor (thebiggerguy) wrote :

Running under VMware Workstation 6.5.3 build-185404c with VMware tools installed I get the same error.
Here is my log

Apr 8 22:50:50 Guy-dev tpvmlpd[2038]: device type not supported
Apr 8 22:50:50 Guy-dev init: plymouth-stop pre-start process (2115) terminated with status 1
Apr 8 22:50:53 Guy-dev kernel: [ 15.648161] eth0: no IPv6 routers present

/proc/version: Linux version 2.6.32-19-generic-pae (buildd@palmer) (gcc version 4.4.3 (Ubuntu 4.4.3-4ubuntu5) ) #28-Ubuntu SMP Wed Mar 31 18:57:46 UTC 2010

Mark Cariaga (mzc) wrote :

The bug is still present on Beta2!

Simon (simon-west-family) wrote :

Acer 5810T was running disk check an d froze at 75%, no disk activity. Reboot brought it back to life.

timuckun (timuckun) wrote :

Asus k42Jr. ATI mobility Radeon 5470

Riccardo Padovani (rpadovani) wrote :

Dell inspirion 6000 , Ati Mobility Radeon X300

justy55555 (justy55555) wrote :

Acer Aspire One AOD250, Intel GMA 950

Kai Vogel (kai-vogel) wrote :

GeForce 7300 GS with NVidia's "Current" Driver

No more crashes afte I've reseted all profiles in "ccsm" and activated the basic profile in "simple-ccsm".

Notice: I've also reinstalled virtualbox-ose, but I'm not sure if this causes the crashes...

Hope this helps...

+1
Lenovo S10e
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)

Sonsum (scottonsum) wrote :

Samsung N120. Pretty sure its an Intel GMA 950

cyberb764 (rmills764) wrote :

Doesn't anyone know why ub untuone cannot be manually configured to work? It works fine on my other computer, even after upgrading it.

cyberb764 (rmills764) wrote :

still not able to change a configuration that does'nt exist in the folder it is suppose to be.

cyberb764 (rmills764) wrote :

I am alm ost going to give up on it.

This occurred for me during a disk check (at 73% if that has any relevance...).

Asus EEE 1000, Intel video card; I've had Plymouth hang on disk checks at 70% and 73% (never visibly complete one successfully), and the disk check screen has been the only time I've seen the start-up splash screen for more than a moment (though usually doesn't appear at all). Once everything's booted, though, seems fine. Might also be relevant that the SSD memory in the computer is split into two drives, which I've set respectively to root and /home.

Son (son.caokim) wrote :

acer asprire one - AOA110

cyberb764, this bug report has absolutely nothing to do with Ubuntu One. If you are having problems with it, ask in #ubuntu on irc.freenode.net for support questions, or if it is a bug, file one with ubuntu-bug.

Laurie (welcome) wrote :

Problem occurred when sending an e-mail using claws-mail. It did not stop the e-mail being sent or have any obvious harmful effects.

Noel Arzola (noel.arzola) wrote :

dell dimension 2350 lucid beta 2 this was at random

Noel Arzola (noel.arzola) wrote :

Occured right on boot just now, after a reboot. Not seeing anything other than it reporting the crash. Desktop and everything appears to load without issue. Crash icon shows up.

Polemaker1 (polemaker1) wrote :

Same problem with an Acer Aspire One AOA150

Martin Karpinski (mkarpinski) wrote :

I had this happen in Lucid beta 2 amd64 (virtualised) when I opened up the language support menu.

hatzigia (hatzigia) wrote :

Same problem trying to install support for greek language after I opened up the language support menu

André Lucas (andre.lucas) wrote :

Got this on my HP Mini 210. I have a blank screen as the system boots, with a flashing text-mode cursor, and I get the crash report on logging in.

Odin Hørthe Omdal (velmont) wrote :

There is just so much crashing with Lucid Lynx :-(((((((

I get a crash every 1-2 hours. The intel 845-issue.

The boot took LONG time today, so I thought it'd hang and shut it of. Turns out (I think) that it was doing ureadahead-logging or something. After that the display didn't work, so I had to SSH in and run dpkg --configure -a to fix it. (also did dpkg-reconfigure linux-image-generic plymouth ureadahead, and deleted all the ureadahead-files).

axelsvag (darinsson) wrote :

Did not notice anything besides the crashreport

Intel 950 graphics, EEE PC 1000h. I see a lot of Intels being mentioned here. Just did an update, rebooted, then eventually got this crash error. System appears to be working fine. Didn't get the splash during bootup.

eee900 intel 915 integrated graphics and i have never seen plymouth on boot. using lucid since beta1 with regular updates.

usual behaviour is blank screen then normal boot.

occasional broken pipes message then normal boot.

very occasional hang.

even more occasionally it submits this bug report.

this particular bug report today was the first boot after a series of updates including kernel.

Ralemy (reza.alemy) wrote :

Same here, NVidia Geforce 9300M, Intel HD Audio ICH9 8280II, Lucid Beta 2 Desktop 64bit.

@rex: have you noticed the "could not write bytes: broken pipe" at boot?

On Apr 12, 2010, at 12:10 PM, ralemi <email address hidden> wrote:

> Same here, NVidia Geforce 9300M, Intel HD Audio ICH9 8280II, Lucid
> Beta
> 2 Desktop 64bit.
>
> --
> plymouthd crashed with SIGSEGV in
> ply_event_loop_process_pending_events()
> https://bugs.launchpad.net/bugs/553745
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in The Plymouth splash screen: New
> Status in “plymouth” package in Ubuntu: Confirmed
> Status in “plymouth” source package in Lucid: Confirmed
>
> Bug description:
> Binary package hint: plymouth
>
> just upgraded to lucid, first reboot tried to start accounts
>
> ProblemType: Crash
> DistroRelease: Ubuntu 10.04
> Package: plymouth 0.8.1-4
> ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
> Uname: Linux 2.6.32-19-generic i686
> NonfreeKernelModules: wl
> Architecture: i386
> Date: Thu Apr 1 22:14:11 2010
> DefaultPlymouth: /lib/plymouth/themes/kubuntu-logo/kubuntu-
> logo.plymouth
> ExecutablePath: /sbin/plymouthd
> MachineType: Dell Inc. Inspiron 1545
> ProcCmdLine: root=UUID=73530dc8-e3cc-4147-b801-4725b2f88141 ro quiet
> splash vga=792
> ProcCmdline: /sbin/plymouthd --mode=boot --attach-to-session
> ProcEnviron: PATH=(custom, no user)
> ProcFB: 0 inteldrmfb
> SegvAnalysis:
> Segfault happened at: 0xfb5fe1 <ply_event_loop_process_pending_events
> +513>: test %eax,0x4(%esi)
> PC (0x00fb5fe1) ok
> source "%eax" ok
> destination "0x4(%esi)" (0x00000004) not located in a known VMA
> region (needed writable region)!
> SegvReason: writing NULL VMA
> Signal: 11
> SourcePackage: plymouth
> StacktraceTop:
> ply_event_loop_process_pending_events ()
> ply_event_loop_run () from /lib/libply.so.2
> ?? ()
> __libc_start_main () from /lib/tls/i686/cmov/libc.so.6
> ?? ()
> TextPlymouth: /lib/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
> Title: plymouthd crashed with SIGSEGV in
> ply_event_loop_process_pending_events()
> UserGroups:
>
> dmi.bios.date: 07/17/2009
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A10
> dmi.board.name: 0G848F
> dmi.board.vendor: Dell Inc.
> dmi.chassis.type: 8
> dmi.chassis.vendor: Dell Inc.
> dmi.modalias:
> dmi:bvnDellInc.
> :bvrA10:
> bd07/
> 17/
> 2009:
> svnDellInc.
> :pnInspiron1545:pvr:rvnDellInc.:rn0G848F:rvr:cvnDellInc.:ct8:cvr:
> dmi.product.name: Inspiron 1545
> dmi.sys.vendor: Dell Inc.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/plymouth/+bug/553745/+subscribe

Gav Mack (gavinmac) wrote :

Same issue with an AAO1 ZG5 with Intel 945 graphics.

bofphile (bofphile) wrote :

Same issue as everyone else on my Thinkpad T500, using the integrated graphic card (Intel 4500MHD). I'm running the latest beta 2 of Lucid with all the updates.

travy4911 (travy4911) wrote :

Acer Aspire One 150. Happened right after reboot.

axion (bugzilla-axion) wrote :
Download full text (3.3 KiB)

If this is the bug that made my system kill off the X-Server, then go to a black screen and reset the video card, making the display go to sleep mode, I can only say I still had control over the system using ssh. So I safely did a remote shutdown. Before I shutdown I checked all log but could find nothing of significant value. The only thing I do know is that the bug only occurs if I do not throttle the processor down using the userspace CPU Frequency Monitor. For that to work I need to manually add p4_clockmod.

I was wondering why this p4_clockmod is not loaded automatically, or added to: /etc/modules. But I think it might be because of the recently removed working conservative and ondemand cpu-gov modules.

Btw, since everyone is naming their graphics card here is my (probably useless) lspci info.

laptop:~$ lspci
00:00.0 Host bridge: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
00:00.1 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
00:00.3 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to I/O Controller (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
00:02.1 Display controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 83)
00:1f.0 ISA bridge: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller (rev 03)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)
00:1f.6 Modem: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem Controller (rev 03)
02:00.0 FireWire (IEEE 1394): VIA Technologies, Inc. VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller (rev 80)
02:01.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
02:02.0 Ethernet controller: Atheros Communications Inc. Atheros AR5001X+ Wireless Network Adapter (rev 01)
02:04.0 CardBus bridge: ENE Technology Inc CB1410 Cardbus Controller (rev 01)
03:00.0 Multimedia controller: Philips Semiconductors SAA7131/SAA7133/SAA7135 Video Broadcast Decoder (rev f0)

laptop:/proc$ cat cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 15
model : 2
model name : Intel(R) Pentium(R) 4 CPU 2.80GHz
stepping : 7
cpu MHz : 1749.956
cache size : 512 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 mtrr pge mca ...

Read more...

MarkieB (ubunt-u-markbenjamin) wrote :

For me it happened after adjusting the grub display resolution to a higher-resolution than the default 640 480 vga setting, in fact it was 1280 1024 32 [found as supported in vbeinfo], set in /etc/default/grub as GRUB_GFX_MODE, GRUB_GFXPAYLOAD_LINUX=keep; the higher resolution worked as far as the ubuntu splash screen, then at xserver startup it looked as though possibly the 32-bit depth is too funky :-) attached xorg.conf as you see I've set 1 high-res setting, not supported in vbeinfo though

Simon (simon-west-family) wrote :

Linux-image 2.6.32-20.30 seems to have fixed this for me this morning. Single reboot after update and back to working kernel. only slight issue was Ubuntu logo on splash screen just before login had ugly green artefacts around it for a few seconds (2 or 3) before clearing to the beautiful new logo. I've seen posts saying "never seen Plymouth splash"... does anyone know what _should_ appear as "splash" after grub text menu? I assumed blank screen immediately after then Ubuntu "I'm starting up - purple and dots" screen is expected sequence. Am I missing anything? My install is a Hoary / Karmic / Lucid upgrade so may have some cruft from it's history

Tareks (tatas8s) on 2010-04-13
Changed in plymouth (Ubuntu Lucid):
status: Confirmed → Incomplete
madmax1735 (rebel1735) wrote :

bug still exists in Lucid Lynx beta 2 with kernel 2.6.32-20.30

crash is reported right after the system login but does not seem to affect the system stability.

Changed in plymouth (Ubuntu Lucid):
assignee: nobody → Scott James Remnant (scott)
milestone: none → ubuntu-10.04
Steve Langasek (vorlon) on 2010-04-13
Changed in plymouth (Ubuntu Lucid):
status: Incomplete → Triaged

Steve, since you already pulled this patch in the 0.8.2 merge - could you build the package and pop it in a PPA for the reporters to test?

Changed in plymouth (Ubuntu Lucid):
assignee: Scott James Remnant (scott) → Steve Langasek (vorlon)
status: Triaged → Fix Committed
Steve Langasek (vorlon) wrote :

Done. Could those experiencing this issue please run 'sudo add-apt-repository ppa:vorlon/ppa' and install the new version of plymouth from there, and let us know if this fixes the problem or causes any new ones?

Steve Langasek [2010-04-14 8:08 -0000]:
> Done. Could those experiencing this issue please run 'sudo add-apt-
> repository ppa:vorlon/ppa' and install the new version of plymouth from
> there, and let us know if this fixes the problem or causes any new ones?

I tested 0.8.2-0ubuntu1~ppa2, and still get exactly the same crash.

Please note that I do not press any keys during startup (since the
changelog links this bug with a "keyboard handling" fix)

I did three boots, and it looked differently each time:

 1) No plymouth at all, text mode all the way through X (this was
    without ureadahead pack, so the boot took a little longer)

 2) Text mode most of the time, plymouth splash appears for a second,
    X. (I think this categorizes as "work fine")

 3) Text mode most of the time, then a black screen without the cursor
   for a second, and then back to text mode (and finally X, with
   starting into a white screen). This was probably plymouthd starting
   up, crashing, and writing an apport report.

I do not get a crash report every time, I suppose plymouth and apport
start around the same time and it's a race. But I still get it very
frequently.

Thanks,

Martin

--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

Tommy Prevatt (tommyprevatt) wrote :

This is all I've seen of the mysterious Plymouth: http://j.imagehost.org/0799/Screenshot_5.png

Lucas (totus-tuus) wrote :

The system (input, mainly) just freezes out of nowhere, apparently at random with no specific cause. Only keyboard and touchpad stop working, but system itself seems to be normal, some animated stuff (dropbox tray icon, for instance) keeps working. When I press the power button, the Shutdown dialog shows up asking if I want to shut down, suspend, log out, etc, but of course, I can't do anything besides waiting for automatic shutdown. The same problem has also happened on Windows XP (I have dual boot), so it might be a hardware thing. I use a Asus EeePC 1008HA, Intel Atom. The disk check freeze has also occurred a few times, and none has completed in full, stopping around 91%.

Cor Driehuis (cor3huis) wrote :

Just FYI: Happend to me, I'm running the latest 64 bit lucid Beta2 kernel Linux 2.6.32-21-generic #31~raofnvaccel201004131332 SMP Tue Apr 13 13:06:14 UTC 2010 x86_64 GNU/Linux, Nvidia restricted 195.36.15 on Macbook Pro 5,2.

RonzO (ronz0o) wrote :

My lspci output
00:00.0 Host bridge: Intel Corporation 82845G/GL[Brookdale-G]/GE/PE DRAM Controller/Host-Hub Interface (rev 01)
00:02.0 VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 01)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 81)
00:1f.0 ISA bridge: Intel Corporation 82801DB/DBL (ICH4/ICH4-L) LPC Interface Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801DB (ICH4) IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller (rev 01)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 01)
01:0c.0 Ethernet controller: Intel Corporation 82540EM Gigabit Ethernet Controller (rev 02)

It seems to think my desktop is a laptop for some reason. Dell Optiplex GX260

Chris B (billington-chris) wrote :

Steve Langasek [2010-04-14 8:08 -0000]:
> Done. Could those experiencing this issue please run 'sudo add-apt-
> repository ppa:vorlon/ppa' and install the new version of plymouth from
> there, and let us know if this fixes the problem or causes any new ones?

After update to 0.8.2-0ubuntu1~ppa2 the crash report after boot no longer occurs.
However, no splash animation is visible during boot- text mode blank screen, then kms text mode screen with a few console messages, then GDM login screen.
Animated splash appears only during shutdown/reboot, and during regular disk checks, which appear to terminate at 73%.

Intel Atom netbook,
00:00.0 Host bridge: Intel Corporation Mobile 945GME Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GME Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 2 (rev 02)
00:1d.0 USB Controller: Intel Corporation N10/ICH7 Family USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation N10/ICH 7 Family USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation N10/ICH 7 Family SMBus Controller (rev 02)
03:00.0 Network controller: Intel Corporation Wireless WiFi Link 5100

Wheee! THIS bug again.

It's starting to look as if I'm going to have no choice but to revert to either Hardy or find myself a new distro if this is how broken Beta 2 of Lucid is at this late date. Notice I say Hardy and not Karmic, because there is something in Karmic making my eeepc run hot all the time. What is it the guy from array.org was able to do that the Cannonical developers seem incapable of figuring out? And before anyone trots out that tired "esoteric and non-standard hardware" excuse, please consider the rapid growth of the netbook category in the past year or two and try to realize this excuse no longer flies, no matter how much trust you shove into it.

--bornagainpenguin

Sepero (cowpie2000) wrote :

HP Compaq Presario CQ60-215DX
Lucid Lynx 10.04

W. Scott Lockwood III (wsl3) wrote :

Xorg.0.log for analysis

Steve Langasek (vorlon) wrote :

This has nothing to do with X, and is not hardware-dependent. Please don't send us X logfiles or follow up to tell us your hardware.

Qays Poonawala (qayshp) wrote :

at boot in UNR 10.04 beta2

Steve Langasek (vorlon) on 2010-04-16
Changed in plymouth (Ubuntu Lucid):
status: Fix Committed → Triaged
Tolsimir Wolf (tolsimirwolf) wrote :

I ran the command given to add the new plymouth to my repository but I haven't installed it. I'm a bit afraid to do so after reading other peoples experiences with it.
It doesn't really cause any problems, only that I get the crash report every so often. I can then just tell it to close and continue on with my life - no problem. I'd just kind of like to see the problem fixed even as minuscule as it seems now. Here's what I get when I run lspci

00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d3)
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller (rev 03)
00:1e.3 Modem: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Modem Controller (rev 03)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller (rev 03)
02:01.0 CardBus bridge: Texas Instruments PCI1510 PC card Cardbus Controller
02:03.0 Network controller: Broadcom Corporation BCM4318 [AirForce One 54g] 802.11g Wireless LAN Controller (rev 02)
02:08.0 Ethernet controller: Intel Corporation 82562ET/EZ/GT/GZ - PRO/100 VE (LOM) Ethernet Controller Mobile (rev 03)

Hope that adding these specs to the list could help with coming up with a more sure solution.

This is the first time Plymouth crashed for me. Something else has been crashing during boot up.

Hi people,

this bug affects me on a MSI PR210 with an ATI video controller:
$ lspci | grep VGA
01:05.0 VGA compatible controller: ATI Technologies Inc RS690M [Radeon X1200 Series]

It doesn't occur every time I boot, but when it occurs it is just after the boot.

Regards

Dexter (dexter-greycells) wrote :

Affects me on my Sony Vaio, Intel 945 Integrated graphics. The error just comes up all of a sudden...

burlingk (burlingk) wrote :

I got this on a Toshiba Satalite with ATI graphics and AMD64, and it was not the first reboot after an upgrade.

Affects me on a HP Pavilion dev6000,
AMD 64,
graphics with: nvidia 8400

Alice (pisufnita) wrote :

nec computers Intel P4 2.40, 2gb ram, VGA compatible controller: Intel Corporation 82865G Integrated Graphics Controller

Fresh install lucid beta 2 (from usb thumb). Errors at each boot. This error came in the first restart after installing non free video codecs (universe). No other ppa but the official. Seems nobody reported it after installing codecs...

Alice (pisufnita) wrote :

ok. wasn't net computers. this board is asrock p4i65gv.
I restart and error still there. Plus my screensaver is having a huge lag. Before saying the system is old, let you know this wasn't happening in Karmic.

Alan Lord (theopensourcerer) wrote :

Fresh install of the daily Lucid build (today 19/04/2010).

Intel Atom 330 Mobo

# lspci
00:00.0 Host bridge: Intel Corporation 82945G/GZ/P/PL Memory Controller Hub (rev 02)
00:02.0 VGA compatible controller: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02)
00:1b.0 Audio device: Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 1 (rev 01)
00:1c.1 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 2 (rev 01)
00:1d.0 USB Controller: Intel Corporation N10/ICH7 Family USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation N10/ICH 7 Family USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GB/GR (ICH7 Family) LPC Interface Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller (rev 01)
00:1f.2 IDE interface: Intel Corporation N10/ICH7 Family SATA IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation N10/ICH 7 Family SMBus Controller (rev 01)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 01)

Have experienced complete lock-ups (no mouse, no ALT+CTL+Fn) not sure if related to this or not.

Colin Watson (cjwatson) wrote :

Pushing to lucid-updates per Steve, although of course we still want to try to fix this ASAP.

Changed in plymouth (Ubuntu Lucid):
milestone: ubuntu-10.04 → lucid-updates
Tero Mononen (tmo-iki) wrote :

Folks,

I'm back on this old issue again.

FSCK with progress indicator (-C switch) produces a very large number of progress messages, which all are read, and forwarded to plymouth on function fsck_reader(), file mountall.c. Plymouthd can't keep up with hundreds of thousands, perhaps millions, of messages, especially if it needs to display them. Please limit the number of messages sent (for example check whether last progress percentage was the same as the one to be sent). [this is actually for #559761]

Also there is something hairy in the libply/ply-event-loop.c, as indicated on the attached stack traces. Function ply_event_loop_handle_timeouts() tried dereference a null pointer 'watch'. Possible workaround is to check whether 'watch' is NULL, and in that case simply remove it from the list.

Additionally, I propose removal of the O(N^2) behaviour causing assertion from the end of function ply_list_unlink_node(), file ply-list.c.

BR
--
tmo

Tero Mononen (tmo-iki) wrote :

Attached patches containing workarounds / proposed fixes for mountall.c and libply. These fix the issue for me, at least.
BR
--
Tmo

Martin Erik Werner (arand) wrote :

Above patch fixes Bug #571707 for me.

Martin Erik Werner (arand) wrote :

I have applied Tero Mononen's patch and uploaded corresponding packages to my "unstable" PPA: https://edge.launchpad.net/~arand/+archive/unstable for ease of testing (i386 seems to take a while to build, amd64 done already).

Two bugs with high prio and a lot of affects, I'd claim this fix to be of some importance, the sooner the SRU process starts the better, methinks...

Hrotkó Gábor (roti-al) wrote :

@Tero Mononen

thank you! you satisfied my wife :-)

Tero Mononen (tmo-iki) wrote :

Arand, Thank's for taking care of the patch.

I'm amazed that there are so few reports on this issue, as *everyone* updating or installing 10.04 will be affected by the issue when fsck is eventually run ... once a month with journalling FS. My guess is, that unless released soon, the number of affected users will rocket up.

Luckily folks are pretty lazy on reporting issues :(
BR.
--
Tmo

tags: added: patch
Martin Erik Werner (arand) wrote :

Fyi, this just posted on the other Bug #571707 concerning the patch, by Kees Cook:

"The intent of the mountall patch is correct -- no reason to flood plymouth with updates, however, the "lastprogress" tracking needs to be attached to the mount structure, rather than the callback, since the callback can be used for multiple mounts."

ref. https://bugs.edge.launchpad.net/ubuntu/+source/mountall/+bug/571707/comments/74

...Times like these one wish that there was some way to link bugs without marking them as dupes

Martin Erik Werner (arand) wrote :

Is this issue addressed with the latest mountall 2.15 in lucid, or does the plymouth part of the patch also play into this bug?

Gilles (gilles-civario) wrote :

Hi,

I used to have apport popping out almost once every two boots of my laptop, leading me to this very bug report.
Since I installed the mountall patch corresponding to bug 571707, it has never appended again.
FMPOV, the present bug is fixed.
Thanks for the great job.

Gilles

Anders Kaseorg (andersk) wrote :

The plymouth patches should still be applied (hopefully upstream); they’re all good changes. Whether they should be applied as a Lucid SRU is up to the SRU team. It’s possible that the reduction in events from mountall has made this bug unlikely enough that an SRU is no longer as critical; I’m not sure. (I never saw the crash myself, I can just see that the bug is real from looking at the code.) If you are still seeing this crash after upgrading to mountall 2.15, please let us know.

Gilles (gilles-civario) wrote :

Hi,

Finally, for the first time since I installed the patch for bug 571707, plymouthd crashed. For the record, I have to remind that:
 1/ before installing that patch, plymouthd used to crash about once every two boot of my laptop
 2/ I boot my laptop at least once a day, some time up to 5 times per day (due to bug 510803 preventing me from suspending it to ram)
 3/ to be able to collect useful informations about previous bug, I had enabled apport long time ago, and never disabled it since then. In the present case, that is only because apport pops-up that I know that plymouthd crashed. From the very first time this bug showed-up, it has never been for me a real pain. I don't know how critical it is but the only symptom it has displayed for me has been (excepted apport of course) about 10s more to boot than usual
Anyway, in any case, I would happily test your plymouthd patch if I could have the slightest idea on how to do so. I can even uninstall the patch for bug 571707 beforehand to increase the interest of the test if you see it useful (and if you tell ma how to do so).
Cheers.
Gilles

Martin Erik Werner (arand) wrote :

@Gilles:
The plymouth patch by Tero is still available from my "Unstable" PPA
I have no idea if downgrading the mountall package and running only on the plymouth patch would be of any use, but I can tell you how to do it:

1. add my ppa https://edge.launchpad.net/~arand/+archive/unstable
2. Run an upgrade which should (in normal casees) pull in [libplymouth2 plymouth plymouth-label plymouth-theme-ubuntu-logo plymouth-theme-ubuntu-text plymouth-x11] all of version [0.8.2-2ubuntu3~ppa1]

(Maybe)
3. Downgrade mountall to 2.14 temporarily: [sudo aptitude install mountall=2.14] (if you have enabled proposed, the update will automatically be suggested again)

Architecture: i386
DefaultPlymouth: /lib/plymouth/themes/ubuntu-logo/ubuntu-logo.plymouth
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
MachineType: eMachines eMachines E510
Package: plymouth 0.8.2-2ubuntu3~ppa1
PackageArchitecture: i386
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-22-generic root=UUID=29bf3f7c-0d46-4d91-96ad-111f143c4911 ro quiet splash
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_IE.utf8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
Tags: lucid lucid
TextPlymouth: /lib/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
Uname: Linux 2.6.32-22-generic i686
UnreportableReason: This is not a genuine Ubuntu package
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 11/10/2008
dmi.bios.vendor: EMACHINES
dmi.bios.version: V1.45
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: Rhine
dmi.board.vendor: EMACHINES
dmi.board.version: V1.45
dmi.chassis.type: 1
dmi.chassis.vendor: EMACHINES
dmi.chassis.version: V1.45
dmi.modalias: dmi:bvnEMACHINES:bvrV1.45:bd11/10/2008:svneMachines:pneMachinesE510:pvrV1.45:rvnEMACHINES:rnRhine:rvrV1.45:cvnEMACHINES:ct1:cvrV1.45:
dmi.product.name: eMachines E510
dmi.product.version: V1.45
dmi.sys.vendor: eMachines

tags: added: apport-collected

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Gilles (gilles-civario) wrote :

Hello,

As you can guess fro the apport-collect above, I made a few tests over the week-end, that have not all been successful... Here are a few details:
 1/ I've downgraded mountall from 2.15 to 2.14 for experimenting if I was back in my plymouth crass-prone environment: and first reboot that didn't implied a looong fsck (the one that fastfoward until 70% of the disk, and then takes ages to finish) generated a plymouthd SEGV.
 2/ then I installed arand's ppa plymouthd packages as described in above comment #87 : after something like 10 reboots, id didn't experiment any problem
 3/ then I reinstalled mountall 2.15 and I rebooted => fine. I though let's reboot one last time before reporting that everything is fine and that the patch fixed everything.... Bad idea!
 4/ I rebooted (2nd time after mountall 2.15 reinstall) and then the hell began: during the booting phase, I usually have for 2 to 3 second a blinking cursor of large VGA type, that disappear and is replaced by a small graphic-like one, and then I've got X11 starting and the login screen. This time, instead of this, 3 lines appeared on the large non-graphic console, then the graphic one started with the small cursor locate line 4 instead of line one as usual, then the screen went black and the laptop freezed.
The only way I managed to get it back was trough the On/Off button.
I tried 3 more times to resart it, and 3 times it freezed the same, but without the 3 lines in non-graphic console this time.
Finally, in the 4th attempt, I did a failsafe reboot and managed to get it back. I then reboot once more normally, and it worked.

That's the time I did the apport-collect action.

I'm not sure to know where the culprit is but first of all I will remove the testing plymouthd packages....

Is there anything I can do more to be of help?

Gilles

Changed in plymouth (Ubuntu):
status: Triaged → Fix Committed
Gilles (gilles-civario) wrote :

Hi,
does the above comment:
Changed in plymouth (Ubuntu):
status: Triaged → Fix Committed
means that the proposed patch located in https://edge.launchpad.net/~arand/+archive/unstable has been committed to the sources?
If so, this is very bad news as using it totally crashed my machine, to the point I feared not being able to recover it without using the liveCD... Honestly, the non patched version crashed all the same, but at least it does it transparently for the user (for me at least).
Now, I may have missed something, but I don't think so.
Gilles

Draycen DeCator (ddecator) wrote :

Please do not change the Status of a bug without providing a reason for doing so. Thanks!

Changed in plymouth (Ubuntu):
status: Fix Committed → Triaged
JoseLuisTriana (theunfor) wrote :

I was trying to run "Star Wars Episode I The phantom Menace" with the patch in wine without virtual desktop when this crash happened, I have an NVidia GeForce 7200 GS, my CPU is an Intel Celeron with 1995 Mhz of Frequency, the version of Wine in which I was running the game is 1.1.42.

Tux Rev (tuxrev) wrote :

It occurred as I logged in. I'm not sure what impact this has on my system.

Intel Pentium Dual-Core Processor
2G RAM
Ubuntu 10.04
Gnome 2.30.0
Kernel Linux 2.6.32-22-generic

Created an attachment (id=36279)
patch

Inital bug report https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/553745

just upgraded to lucid, first reboot tried to start accounts

ProblemType: Crash
DistroRelease: Ubuntu 10.04
Package: plymouth 0.8.1-4
ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-19-generic i686
NonfreeKernelModules: wl
Architecture: i386
Date: Thu Apr 1 22:14:11 2010
DefaultPlymouth: /lib/plymouth/themes/kubuntu-logo/kubuntu-logo.plymouth
ExecutablePath: /sbin/plymouthd
MachineType: Dell Inc. Inspiron 1545
ProcCmdLine: root=UUID=73530dc8-e3cc-4147-b801-4725b2f88141 ro quiet splash vga=792
ProcCmdline: /sbin/plymouthd --mode=boot --attach-to-session
ProcEnviron: PATH=(custom, no user)
ProcFB: 0 inteldrmfb
SegvAnalysis:
 Segfault happened at: 0xfb5fe1 <ply_event_loop_process_pending_events+513>: test %eax,0x4(%esi)
 PC (0x00fb5fe1) ok
 source "%eax" ok
 destination "0x4(%esi)" (0x00000004) not located in a known VMA region (needed writable region)!
SegvReason: writing NULL VMA
Signal: 11
SourcePackage: plymouth
StacktraceTop:
 ply_event_loop_process_pending_events ()
 ply_event_loop_run () from /lib/libply.so.2
 ?? ()
 __libc_start_main () from /lib/tls/i686/cmov/libc.so.6
 ?? ()
TextPlymouth: /lib/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
Title: plymouthd crashed with SIGSEGV in ply_event_loop_process_pending_events()
UserGroups:

dmi.bios.date: 07/17/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A10
dmi.board.name: 0G848F
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA10:bd07/17/2009:svnDellInc.:pnInspiron1545:pvr:rvnDellInc.:rn0G848F:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Inspiron 1545
dmi.sys.vendor: Dell Inc.

StacktraceTop:
 ply_event_loop_process_pending_events (
 ply_event_loop_run (loop=0x90280a8) at ply-event-loop.c:1312
 main (argc=3, argv=0xbfeba124) at main.c:1916

Review of attachment 36279:

::: mountall-2.14/src/mountall.c
@@ +2742,2 @@
    nih_assert_not_reached ();
   }

This stuff seems to be unrelated to plymouth

::: plymouth-0.8.2/src/libply/ply-event-loop.c
@@ +1193,3 @@

+ if (watch == NULL)
+ {

This shouldn't even happen. If this is happening there must be a bug some where else in the code.

@@ +1248,3 @@
+ number_of_received_events = epoll_wait (loop->epoll_fd,
+ events, PLY_EVENT_LOOP_NUM_EVENT_HANDLERS,
+ timeout);

Ah, this is a nice catch! Hard to believe this bug went unnoticed for so long. Unfortunately, it just means plymouth was processing less events per iteration than its configured upper limit (8 instead of 64). I don't think this is related to your crash. I've committed this part though: http://cgit.freedesktop.org/plymouth/commit/?id=26bc6f87c0507d0b457b23548094c475e00e75c9

::: plymouth-0.8.2/src/libply/ply-list.c
@@ +225,2 @@
   list->number_of_nodes--;
+ // assert (ply_list_find_node (list, node->data) != node);

again, if this is failing there is a bug somewhere else in the code.

Neil Perry (nperry) wrote :

Patch applied fine for me, forwarded upstream. Work on behalf of Ubuntu Reviews.

Changed in plymouth:
importance: Undecided → Unknown
status: New → Unknown
tags: added: patch-forwarded-upstream
removed: patch
dORSY (dorsyka) wrote :

Still afffecting me. And it is random.

00:06.0 IDE interface: nVidia Corporation MCP78S [GeForce 8200] IDE (rev a1)
00:07.0 Audio device: nVidia Corporation MCP72XE/MCP72P/MCP78U/MCP78S High Definition Audio (rev a1)
00:08.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1)
...
02:00.0 VGA compatible controller: nVidia Corporation G92 [GeForce 8800 GT] (rev a2)

Linux amd64 2.6.35-10-generic #15-Ubuntu SMP Thu Jul 22 11:10:38 UTC 2010 x86_64 GNU/Linux
I found nothing relevant in logs, just this:

Jul 24 23:19:35 amd64 init: plymouth main process (385) killed by SEGV signal

richard (richard-e-morton) wrote :

Also affects Maverick Alpha 2

also affects maverick alpha 3

Saul (creative-balm) wrote :

Has happened twice while removing nvidia driver in failsafex - using Maverick 3 after recent X11 update. However nvidia driver is safely removed and reboot gives working desktop.

just saw this on 'apt-get upgraded' Maverick running on Thinkpad Edge (AMD cpu/gpu)

Loïc Minier (lool) on 2010-08-19
Changed in plymouth (Ubuntu Maverick):
milestone: lucid-updates → maverick-updates
Gary M (garym) on 2010-08-30
tags: added: maverick
Nicolas DERIVE (kalon33) wrote :

@lool: why for maverick-updates when maverick is not yet released (more than 1 month remaining) ?

bartdx (bart-bdx) wrote :

have not seen this problem for some time, now on august 31 2010 it popped up again, after i downloaded and installed newest kernel on Maverick 10.10

Loïc Minier (lool) wrote :

maverick-updates was a mistake of mine; not sure how I picked that one, I wanted to fix the lucid-updates milestone; thanks for the heads up

Changed in plymouth (Ubuntu Maverick):
milestone: maverick-updates → ubuntu-10.10-beta
Steve Langasek (vorlon) on 2010-08-31
Changed in plymouth (Ubuntu Maverick):
milestone: ubuntu-10.10-beta → ubuntu-10.10
Blaster (holst-niels) wrote :

@ #111: I'm in the same situation.

Is this one of those bugs that goes on for years, un-addressed?

Also, I'm NOT using Nvidia.

While I appreciate that it's always frustrating to be affected by a bug that seems like it's going "un-addressed for years", I'm not aware of any new information on this bug? Previous attempts at fixing it haven't helped or have made things worse - and without a new line of investigation, we're pretty stumped on what causes it or how to fix it.

Changed in plymouth:
importance: Unknown → Medium
status: Unknown → Confirmed
Kenny Strawn (realkstrawn93) wrote :

I also experienced this bug on an Acer Aspire One AOA110-1545, but it too didn't affect system stability, just the splash screen.

ec (ecroes) wrote :

LinuxUbuntu maverick (development branch) \n \l
2.6.35-22-generic #32-Ubuntu SMP Wed Sep 15 23:18:18 UTC 2010 x86_64 GNU/Linux

compaq 6910p notebook

Plymouth:
  Geïnstalleerd: 0.8.2-2ubuntu4
  Kandidaat: 0.8.2-2ubuntu4
  Versietabel:
 *** 0.8.2-2ubuntu4 0
        500 http://nl.archive.ubuntu.com/ubuntu/ maverick/main amd64 Packages
        100 /var/lib/dpkg/status

the crash happened right after coming out hibernation mode

maik stolle (ms090780) wrote :

the crash happened right after coming out sleep mode, and start updating my system.
ubuntu maverik 10.10 x64
2.6.35-22-generic

regards maik

Andrew Cartine (cartine) wrote :

my laptop battery died, so i guess it went into hibernate(?). i hit the power button and it booted back into it's pre-hibernation state. i did an apt-get update and upgrade, rebooted when it was finished. upon logging in, nothing seemed wrong, but i got the "crash" icon on the upper right panel, complaining about Plymouth and leading me here.

Maverick 10.10 beta

Asus K52J laptop
Intel(R) Core(TM) i5 CPU M 430 @ 2.27GHz
ATI HD5470
Linux 2.6.35-22-generic #33-Ubuntu SMP Sun Sep 19 20:32:27 UTC 2010 x86_64 GNU/Linux

Package: plymouth
State: installed
Automatically installed: no
Version: 0.8.2-2ubuntu5

I also thought this might be interesting:

p libplymouth-dev - graphical boot animation and logger - deve
i libplymouth2 - graphical boot animation and logger - shar
p lubuntu-plymouth-theme - plymouth theme for Lubuntu
i plymouth - graphical boot animation and logger - main
i A plymouth-label - graphical boot animation and logger - labe
v plymouth-theme -
p plymouth-theme-fade-in - graphical boot animation and logger - fade
p plymouth-theme-glow - graphical boot animation and logger - glow
p plymouth-theme-kubuntu-logo - graphical boot animation and logger - kubu
p plymouth-theme-kubuntu-text - graphical boot animation and logger - kubu
p plymouth-theme-lubuntu-logo - plymouth theme for Lubuntu
p plymouth-theme-sabily - plymouth theme for Sabily
p plymouth-theme-script - graphical boot animation and logger - scri
p plymouth-theme-solar - graphical boot animation and logger - sola
p plymouth-theme-spinfinity - graphical boot animation and logger - spin
p plymouth-theme-text - graphical boot animation and logger - text
i A plymouth-theme-ubuntu-logo - graphical boot animation and logger - ubun
i A plymouth-theme-ubuntu-text - graphical boot animation and logger - ubun
p plymouth-theme-ubuntustudio - Ubuntu Studio Plymouth theme
c plymouth-theme-xubuntu-logo - graphical boot animation and logger - xubu
i plymouth-x11 - graphical boot animation and logger - X11
p xubuntu-plymouth-theme - Plymouth theme for Xubuntu

notice the configs for xubuntu are still there. dunno if that would cause a problem or not.

please let me know any other information i could provide that would be helpful.

tamalet (tamalet) wrote :

I also started seeing an apport crash leading to this bug after today's update of Maverick.

$lspci
Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)

MrMacman2u (mrmacman2u-gmail) wrote :

Yeah, same problem here, it popped up after rebooting from a kernel panic caused by another problem. IBM Thinkpad T42 (model 2373) with the M7 Radeon 7500 Mobility.

gerstrong (gerstrong) wrote :

Ubuntu 10.10 RC. System does not freeze or anything but it reports that error

Changed in plymouth (Ubuntu Maverick):
milestone: ubuntu-10.10 → none
milestone: none → maverick-updates
Changed in plymouth (Ubuntu Natty):
milestone: maverick-updates → natty-alpha-2
Bruce Pieterse (octoquad) wrote :

I'm not sure if I can reproduce this error, but I did the following that caused it to crash:

- Logged in
- Launched HeidiSQL (WINE)
- I had no network connection, so I clicked on network manager (16:49:26) and selected my default connection while HeidiSQL was loading.
- Application crashed after being connected to the network

See attachment for a copy of my syslog.

Interesting items are at 16:47:37, 16:47:39, 16:48:19-16:48:24, 16:49:28.

Changed in plymouth (Ubuntu Natty):
assignee: Steve Langasek (vorlon) → Canonical Foundations Team (canonical-foundations)
Changed in plymouth (Ubuntu Maverick):
assignee: Steve Langasek (vorlon) → Canonical Foundations Team (canonical-foundations)
Changed in plymouth (Ubuntu Lucid):
assignee: Steve Langasek (vorlon) → Canonical Foundations Team (canonical-foundations)
Colin Watson (cjwatson) on 2011-01-21
Changed in plymouth (Ubuntu Natty):
milestone: natty-alpha-2 → ubuntu-11.04-beta
Changed in plymouth:
importance: Medium → Unknown
Changed in plymouth:
importance: Unknown → Medium

It occurred as I logged in

Mark Cariaga (mzc) wrote :

crashed after plugging a camera via usb

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plymouth - 0.8.2-2ubuntu20

---------------
plymouth (0.8.2-2ubuntu20) natty; urgency=low

  * Backport from upstream:
    - [event-loop] Add reference count to event sources (with any luck, this
      will fix LP: #553745).
    - [event-loop] Handle more than 8 events at once (LP: #518926).
    - [terminal] Force enter to output newline.
    - [terminal] Add OPOST to tty attributes (LP: #546251).
    - [terminal] Don't set ISTRIP in terminal attributes.
 -- Colin Watson <email address hidden> Thu, 24 Mar 2011 14:17:20 +0000

Changed in plymouth (Ubuntu Natty):
status: Triaged → Fix Released
Greg A (etulfetulf) wrote :

I just got redirected to this bug (by Apport) despite having 0.8.2-2ubuntu21 installed.

On Mon, Apr 04, 2011 at 07:36:36PM -0000, Greg Auger wrote:
> I just got redirected to this bug (by Apport) despite having
> 0.8.2-2ubuntu21 installed.

Could you file a new bug using Apport and post the bug number, please?
I want to analyse the stack trace separately, even if Apport thinks that
it looks like this one.

(This is the kind of bug that I expect could be caused in a few
different ways; it wouldn't surprise me if I'd plugged some of the holes
but missed others.)

Really the first message of the bug was generated automatically. If you
explained exactly what to do I would like to help you.

2011/4/5 Colin Watson <email address hidden>

> On Mon, Apr 04, 2011 at 07:36:36PM -0000, Greg Auger wrote:
> > I just got redirected to this bug (by Apport) despite having
> > 0.8.2-2ubuntu21 installed.
>
> Could you file a new bug using Apport and post the bug number, please?
> I want to analyse the stack trace separately, even if Apport thinks that
> it looks like this one.
>
> (This is the kind of bug that I expect could be caused in a few
> different ways; it wouldn't surprise me if I'd plugged some of the holes
> but missed others.)
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (739255).
> https://bugs.launchpad.net/bugs/553745
>
> Title:
> plymouthd crashed with SIGSEGV in
> ply_event_loop_process_pending_events()
>
> Status in The Plymouth splash screen:
> Confirmed
> Status in “plymouth” package in Ubuntu:
> Fix Released
> Status in “plymouth” source package in Lucid:
> Triaged
> Status in “plymouth” source package in Maverick:
> Triaged
> Status in “plymouth” source package in Natty:
> Fix Released
>
> Bug description:
> Binary package hint: plymouth
>
> just upgraded to lucid, first reboot tried to start accounts
>
> ProblemType: Crash
> DistroRelease: Ubuntu 10.04
> Package: plymouth 0.8.1-4
> ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
> Uname: Linux 2.6.32-19-generic i686
> NonfreeKernelModules: wl
> Architecture: i386
> Date: Thu Apr 1 22:14:11 2010
> DefaultPlymouth: /lib/plymouth/themes/kubuntu-logo/kubuntu-logo.plymouth
> ExecutablePath: /sbin/plymouthd
> MachineType: Dell Inc. Inspiron 1545
> ProcCmdLine: root=UUID=73530dc8-e3cc-4147-b801-4725b2f88141 ro quiet
> splash vga=792
> ProcCmdline: /sbin/plymouthd --mode=boot --attach-to-session
> ProcEnviron: PATH=(custom, no user)
> ProcFB: 0 inteldrmfb
> SegvAnalysis:
> Segfault happened at: 0xfb5fe1
> <ply_event_loop_process_pending_events+513>: test %eax,0x4(%esi)
> PC (0x00fb5fe1) ok
> source "%eax" ok
> destination "0x4(%esi)" (0x00000004) not located in a known VMA region
> (needed writable region)!
> SegvReason: writing NULL VMA
> Signal: 11
> SourcePackage: plymouth
> StacktraceTop:
> ply_event_loop_process_pending_events ()
> ply_event_loop_run () from /lib/libply.so.2
> ?? ()
> __libc_start_main () from /lib/tls/i686/cmov/libc.so.6
> ?? ()
> TextPlymouth: /lib/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
> Title: plymouthd crashed with SIGSEGV in
> ply_event_loop_process_pending_events()
> UserGroups:
>
> dmi.bios.date: 07/17/2009
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A10
> dmi.board.name: 0G848F
> dmi.board.vendor: Dell Inc.
> dmi.chassis.type: 8
> dmi.chassis.vendor: Dell Inc.
> dmi.modalias:
> dmi:bvnDellInc.:bvrA10:bd07/17/2009:svnDellInc.:pnInspiron1545:pvr:rvnDellInc.:rn0G848F:rvr:cvnDellInc.:ct8:cvr:
> dmi.product.name: Inspiron 1545
> dmi.sys.vendor: Dell Inc.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/plymouth/+bug/553745/+subscribe
>

Rick Flynn (flynn1959) wrote :
Download full text (3.2 KiB)

Hi,

Were I only skilled enough to do so!!

I'm OK at reporting problems, but not much beyond that. Is there another way
I could help?

Thanks, Rick :-)

On Tue, Apr 5, 2011 at 4:42 AM, Colin Watson <email address hidden> wrote:

> On Mon, Apr 04, 2011 at 07:36:36PM -0000, Greg Auger wrote:
> > I just got redirected to this bug (by Apport) despite having
> > 0.8.2-2ubuntu21 installed.
>
> Could you file a new bug using Apport and post the bug number, please?
> I want to analyse the stack trace separately, even if Apport thinks that
> it looks like this one.
>
> (This is the kind of bug that I expect could be caused in a few
> different ways; it wouldn't surprise me if I'd plugged some of the holes
> but missed others.)
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (710974).
> https://bugs.launchpad.net/bugs/553745
>
> Title:
> plymouthd crashed with SIGSEGV in
> ply_event_loop_process_pending_events()
>
> Status in The Plymouth splash screen:
> Confirmed
> Status in “plymouth” package in Ubuntu:
> Fix Released
> Status in “plymouth” source package in Lucid:
> Triaged
> Status in “plymouth” source package in Maverick:
> Triaged
> Status in “plymouth” source package in Natty:
> Fix Released
>
> Bug description:
> Binary package hint: plymouth
>
> just upgraded to lucid, first reboot tried to start accounts
>
> ProblemType: Crash
> DistroRelease: Ubuntu 10.04
> Package: plymouth 0.8.1-4
> ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
> Uname: Linux 2.6.32-19-generic i686
> NonfreeKernelModules: wl
> Architecture: i386
> Date: Thu Apr 1 22:14:11 2010
> DefaultPlymouth: /lib/plymouth/themes/kubuntu-logo/kubuntu-logo.plymouth
> ExecutablePath: /sbin/plymouthd
> MachineType: Dell Inc. Inspiron 1545
> ProcCmdLine: root=UUID=73530dc8-e3cc-4147-b801-4725b2f88141 ro quiet
> splash vga=792
> ProcCmdline: /sbin/plymouthd --mode=boot --attach-to-session
> ProcEnviron: PATH=(custom, no user)
> ProcFB: 0 inteldrmfb
> SegvAnalysis:
> Segfault happened at: 0xfb5fe1
> <ply_event_loop_process_pending_events+513>: test %eax,0x4(%esi)
> PC (0x00fb5fe1) ok
> source "%eax" ok
> destination "0x4(%esi)" (0x00000004) not located in a known VMA region
> (needed writable region)!
> SegvReason: writing NULL VMA
> Signal: 11
> SourcePackage: plymouth
> StacktraceTop:
> ply_event_loop_process_pending_events ()
> ply_event_loop_run () from /lib/libply.so.2
> ?? ()
> __libc_start_main () from /lib/tls/i686/cmov/libc.so.6
> ?? ()
> TextPlymouth: /lib/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
> Title: plymouthd crashed with SIGSEGV in
> ply_event_loop_process_pending_events()
> UserGroups:
>
> dmi.bios.date: 07/17/2009
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A10
> dmi.board.name: 0G848F
> dmi.board.vendor: Dell Inc.
> dmi.chassis.type: 8
> dmi.chassis.vendor: Dell Inc.
> dmi.modalias:
> dmi:bvnDellInc.:bvrA10:bd07/17/2009:svnDellInc.:pnInspiron1545:pvr:rvnDellInc.:rn0G848F:rvr:cvnDellInc.:ct8:cvr:
> dmi.product.name: Inspiron 1545
> dmi.sys.vendor: Dell Inc.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad...

Read more...

David Racine (bass-dr) wrote :

Problem occured here on 0.8.2ubuntu22 (Ubuntu 11.04 beta).

Observer (dbvweb) wrote :

Bug occurs for me in a fresh install of natty (beta1) in an Asus 1015B (AMD Brazos platform, c-50 + AMD 6250HD-CPU).
It also occurs for me in an upgrade install of natty (beta1) in a Packard Bell (Intel Celeron M, ATI Xpress 200m).

similar failures with versions of plymouth after the one this bug refers as released are being tracked by BUG752215

Al-Faris (ahmedmuqdad) on 2011-04-20
Changed in plymouth (Ubuntu Natty):
assignee: Canonical Foundations Team (canonical-foundations) → Al-Faris (ahmedmuqdad)
assignee: Al-Faris (ahmedmuqdad) → nobody
Colin Watson (cjwatson) on 2011-04-20
Changed in plymouth (Ubuntu Natty):
assignee: nobody → Canonical Foundations Team (canonical-foundations)
milestone: ubuntu-11.04-beta-1 → none

fix released? I am still getting this

Colin Watson (cjwatson) wrote :

Probably best to file a new bug if you're still seeing this - I suspect
there were several possible causes, and repeatedly reopening/reclosing a
single bug isn't a very good way to untangle that kind of thing.

Paul Crawford (psc-sat) wrote :

"Probably best to file a new bug if you're still seeing this"

Yes, I am still seeing this but how do I file a new bug report? On detecting the crash apport simply directs me to this page where I am told it has been fixed! Obviously not!

Paul Crawford (psc-sat) wrote :

Just to add I am on 10.04 LTS with the 'proposed' updates. I assume that you will be fixing the LTS release?

Kangarooo Jānis (kangarooo) wrote :

This made VLC not opening.
10.04.2 LTS and 2 days ago latests updates. Right now theres no new updates.
Laptop eMachines e525
1. Startet downloading video
2. While download in middle opened unfinished file in VLC
3. VLC didnt open and this bug came.
4. reporting told that this is my bug so here im comenting that i had this with VLC.
5. 2nd time opening- VLC opened and im watching unfinished file

Kangarooo Jānis (kangarooo) wrote :

I thing im also now after update i did 5 days ago im getting this all the time on start. On clean 10.04.2 i didnt got this

Kangarooo Jānis (kangarooo) wrote :

I tryd now also hibernation and this bug doesnt come up.
So it comes only on new start.

Tuomas Lähteenmäki (lahtis) wrote :

This seemed to happen a start.

Kangarooo Jānis (kangarooo) wrote :

i updated yesterday and now started and didnt get error

Kangarooo Jānis (kangarooo) wrote :

hmm on next start i did get it again. so once i didnt get this error as in previous comment i wrote

Jason Warner (jasoncwarner) wrote :

I got this in Oneiric. However, have not been able to reproduce.

Log is attached.

Jason Warner (jasoncwarner) wrote :

This time with log...

Jared (jared-vanvolkenburg) wrote :

I received this error on Oneiric 11.10 beta 1 after rebooting. I logged in, and received a message saying that there was a system problem, but with no error message. I selected to report it, and a few seconds later the plymouthd crash error came up which I selected to report as well. I had upgraded from 11.04 to 11.10 beta 1.

dino99 (9d9) on 2011-09-13
tags: added: oneiric
dino99 (9d9) wrote :

Had an Oneiric i386 b1 crash at cold boot time, and apport (wrongly) redirect to this bug report, even if it had never been opened for Oneiric and been fixed for Natty and plymouthd(ubuntu) !!! and apport-collect is not more clever sadly: it propose (force) to use ubuntu-bug, which redirect here ( hey Apport devs team, you still have some works to do )

ApportVersion: 1.22.1-0ubuntu2
Architecture: i386
DefaultPlymouth: /lib/plymouth/themes/ubuntu-logo/ubuntu-logo.plymouth
DistroRelease: Ubuntu 11.10
MachineType: ASUSTEK COMPUTER INC P5W DH Deluxe
NonfreeKernelModules: nvidia
Package: plymouth 0.8.2-2ubuntu25
PackageArchitecture: i386
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-11-generic-pae root=UUID=9e61e83e-bca9-43cf-aa90-5a68892213fa ro vga=791 splash quiet crashkernel=384M-2G:64M,2G-:128M acpi_osi=Linux
ProcEnviron:
 PATH=(custom, no user)
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-11-generic-pae root=UUID=9e61e83e-bca9-43cf-aa90-5a68892213fa ro vga=791 splash quiet crashkernel=384M-2G:64M,2G-:128M acpi_osi=Linux
ProcVersionSignature: Ubuntu 3.0.0-11.17-generic-pae 3.0.4
Tags: oneiric oneiric
TextPlymouth: /lib/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
Uname: Linux 3.0.0-11-generic-pae i686
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin audio avahi avahi-autoipd boinc cdrom couchdb crontab daemon debian-tor dialout disk fuse haldaemon klog kmem libuuid lpadmin mail messagebus mlocate mysql mythtv netdev ntp operator plugdev polkituser pulse root sambashare saned shadow ssh ssl-cert sudo syslog tty users utmp video voice www-data
dmi.bios.date: 10/22/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 3001
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: P5W DH Deluxe
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr3001:bd10/22/2009:svnASUSTEKCOMPUTERINC:pnP5WDHDeluxe:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5WDHDeluxe:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: P5W DH Deluxe
dmi.product.version: System Version
dmi.sys.vendor: ASUSTEK COMPUTER INC

dino99 (9d9) wrote : BootDmesg.txt

apport information

apport information

apport information

apport information

dino99 (9d9) wrote : Lspci.txt

apport information

dino99 (9d9) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

dino99 (9d9) wrote : UdevDb.txt

apport information

dino99 (9d9) wrote : UdevLog.txt

apport information

Steve Langasek (vorlon) on 2011-09-14
Changed in plymouth (Ubuntu Oneiric):
status: Fix Released → Confirmed
tags: added: rls-mgr-o-tracking
dino99 (9d9) wrote :

seems to be fixed now on Oneiric i386 b1, does not get that crash since a few days now

Brian Murray (brian-murray) wrote :

Recent versions of this crash are still appearing in bug 849414 and its duplicates.

Steve Langasek (vorlon) wrote :

These crash reports are caused by a bug in plymouth, the boot-time splash screen. Sometimes the errors are not reported for quite a while after the crash actually happens.

If someone here is able to reproduce this bug reliably, please do the following:
 - edit /etc/default/grub so that GRUB_CMDLINE_LINUX_DEFAULT is set to "quiet splash plymouth:debug"
 - run sudo update-grub
 - reboot, and when you receive the prompt asking whether to report a crash about plymouthd, say "yes"
 - attach /var/log/plymouth-debug.log to the new bug report

Changed in plymouth (Ubuntu Oneiric):
status: Confirmed → Incomplete
Bruce Pieterse (octoquad) wrote :
Bruce Pieterse (octoquad) wrote :

Steve,

I did not get the error message again, however after enabling debugging for plymouth I noticed a few files missing like x11.so on line 100, double slashes in path names and plymouthd.conf not existing.

See attached file.

Hi Bruce,

On Wed, Sep 21, 2011 at 08:53:11PM -0000, Bruce Pieterse wrote:
> I did not get the error message again, however after enabling debugging
> for plymouth I noticed a few files missing like x11.so on line 100,
> double slashes in path names and plymouthd.conf not existing.

These are all expected behavior and not related to this bug. I need a
plymouth debug log that corresponds to an actual crash in order to make
progress here.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Bruce Pieterse (octoquad) wrote :

Ok,

Well, I'll leave plymouth debugging on just in case the error does crop up again. I'm currently using 11.10 Beta 1.

Jared (jared-vanvolkenburg) wrote :

I just received this crash after a reboot. I am using 11.10 beta 2 about 30 seconds after logging into unity.

Jared (jared-vanvolkenburg) wrote :

Sorry for the mis-edit of my comment should read:

I just received this crash after a reboot about 30 seconds after logging into unity.
I am using 11.10 beta 2 .

I have not had coffee yet this morning.

Steve Langasek (vorlon) on 2011-09-30
Changed in plymouth (Ubuntu Oneiric):
milestone: none → oneiric-updates
tags: added: rls-mgr-p-tracking
removed: rls-mgr-o-tracking
Adam-cowan (adam-cowan) wrote :

This bug is also affecting me on 11.10 beta 2 with all the current updates.

Steve Langasek (vorlon) wrote :

This bug (and other similar crasher bugs like it) is known to affect a large number of users, but inconveniently the developers are not able to reproduce the bug - which means we can't fix it.

If this crash happens consistently for you, please add the option 'plymouth:debug=file:/var/log/plymouth-debug.log' to your boot settings, and the next time you see this crash, please report it as a new bug with apport and attach the /var/log/plymouth-debug.log file to the report.

James Hunt (jamesodhunt) wrote :

If anyone is getting this issue, please help us by obtaining the plymouth debug log.

Note that most updates on this issue are now being added to bug 849414.

Steve Langasek (vorlon) on 2011-10-26
tags: added: rls-p-tracking
Kangarooo Jānis (kangarooo) wrote :

Heres with splash plymouth:debug
and without crash. cant get crash anymore with this line added but got this file.

Steve Langasek (vorlon) on 2011-11-16
Changed in plymouth (Ubuntu Precise):
milestone: none → ubuntu-12.04
James Hunt (jamesodhunt) on 2011-12-07
Changed in plymouth (Ubuntu Precise):
assignee: Canonical Foundations Team (canonical-foundations) → James Hunt (jamesodhunt)
iGadget (igadget) wrote :

Just got this after booting a freshly installed and updated 12.04 alpha 2. Amazing it seems to be present for so many releases but still remains unfixed. If it happens again I'll dive deeper into all the comments above.

Kangarooo Jānis (kangarooo) wrote :

Where actually is the problem?
Its that this problem comes up. Nothing crashes actually but it just comes up.
Make this bug disable to show up:
1.) Add this bug ignorance
2.) Remove plymouth

Changed in plymouth (Ubuntu Precise):
status: Incomplete → Confirmed
Ewano (i-launchpad-ewano-net) wrote :

FWIW:

HP ze2000 laptop: Fresh install of 12.04 beta using the mini.iso - non PAE. Installed fine, then installed LXDE. Upon login to LXDE I get this error.

I can gather logs and sys info if required.

jerrylamos (jerrylamos) wrote :

Booted up, idle, and this crash occurred.

Jerry

Same problem as others, after fresh boot and loging into my user account, the crash dialog pops up. HP Pavillion dv4 64bit Ubuntu 12.04 amd64 beta up to date March 25 2012. I can give you any other information that can help to solve this, its not a big issue but anoying.

Martin Wildam (mwildam) wrote :

Through different versions of Ubuntu I see SIGSEGV related errors
coming and going. And I have the impression, they always start if I
begin to install different desktop environments on the same machine to
make every user choose his prefered one. Mostly I see them on my
testing machines where I install basically all available Desktop
environments. Not sure if that idea helps.

--
Martin Wildam

http://martin.wildam.org/

James Hunt (jamesodhunt) wrote :

At long last, I can now recreate this problem at will.

Although I haven't debugged the actual cause yet (and hence don't yet have a fix), it is triggered when the following occur "very close together":

    plymouth show-splash
    plymouth quit

Note that the problem can occur on boot (where plymouthd is run with '--mode=boot') and shutdown (where plymouthd is run with '--mode=shutdown').

For those interested, to recreate the problem:

# in 1 window...
$ sudo apt-get install plymouth-x11
$ ./test_plymouth.sh -s /sbin/plymouthd

# in another window
$ ./force_crash.sh

After a few seconds, a crash will occur.

test_plymouth.sh and force_crash.sh are available here:

  http://people.canonical.com/~jhunt/plymouth/

What I can see currently is that objects are being corrupted and a repeating pattern appears to be timeout/pending calls.

Further investigation is required, but atleast once we have a fix available, we now have a way to test it.

James Hunt (jamesodhunt) wrote :

One other point to note - this problem only seems to occur if using the "script" splash plugin (which Ubuntu uses).

Bob Bib (bobbib) on 2012-03-31
tags: added: natty precise
Fakrul (eirul-a) on 2012-04-02
Changed in plymouth (Ubuntu Precise):
assignee: James Hunt (jamesodhunt) → Fakrul (eirul-a)
Colin Watson (cjwatson) on 2012-04-02
Changed in plymouth (Ubuntu Precise):
assignee: Fakrul (eirul-a) → James Hunt (jamesodhunt)
devtry (devtry) wrote :

I'm using an up to date Ubuntu 12.04.

Ubuntu automatically raised a bug report with the same title ("plymouthd crashed with SIGSEGV in ply_event_loop_process_pending_events()") while I was going to print a pdf file to pdf.

Hope this helps!

Francesco Muriana (f-muriana) wrote :

This happened to me today on startup, ubuntu 12.04 x86

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plymouth - 0.8.2-2ubuntu30

---------------
plymouth (0.8.2-2ubuntu30) precise; urgency=low

  [ Philip Muškovac ]
  * debian/patches/kubuntu-text.patch:
    Change kubuntu-text theme to new grey (LP: #979824)

  [ James Hunt ]
  * Temporary work-around that minimizes chance of referencing invalid
    sources (LP: #553745).
 -- James Hunt <email address hidden> Fri, 13 Apr 2012 15:11:36 +0100

Changed in plymouth (Ubuntu Precise):
status: Confirmed → Fix Released
Adolfo Jayme (fitojb) wrote :

Maverick has reached end of life, so invalidating

Changed in plymouth (Ubuntu Maverick):
status: Triaged → Invalid

I think I've worked out what is going on here (and which caused me to
raise the erroneous bug 42285):

In ply_event_loop_process_pending_events(),
ply_event_loop_handle_timeouts() is being called *after* epoll_wait(),
but ply_event_loop_handle_timeouts() may free event sources.

I can reliabily force plymouthd to SIGSEGV (in various parts of the
code) by running the following:

  plymouth show-splash
  plymouth quit

I'm seeing epoll_wait() return with a single valid fd event.
ply_event_loop_handle_timeouts() then runs, and calls
main.c:on_boot_splash_idle(). This causes the event source object
referred to in the epoll_wait() event set to be freed and its reference
count set to zero. After ply_event_loop_handle_timeouts() finishes, the
now invalid source object pointed to by the epoll event data is
referenced (it now has a reference_count of 1), and the invalid event is
now processed with varying SIGSEGV scenarios ensuing.

Currently ply_event_loop_process_pending_events() can be summarized as:

1. get events.
2. handle timeouts.
3. reference event sources.
4. process events.
5. unreference event sources.

The attached patch changes this slightly to be effectively:

1. get events.
2. reference event sources.
3. handle timeouts.
4. process events.
5. unreference event sources.

Created attachment 60179
reference event sources before calling timeout handler to ensure events stay valid for loop iteration.

If ply_event_loop_handle_timeouts() is called before the events returned
by epoll_wait() are referenced, a timeout handler can free an event
source leading to undefined behaviour (and frequently SIGSEGV crashes)
once ply_event_loop_handle_timeouts() has finished since
ply_event_loop_process_pending_events() continues to try and process the
now invalid event sources. Thanks to cjwatson for a simpler solution to
my original fix.

Save errno values to ensure logic is robust in case handler makes
system call.

James Hunt (jamesodhunt) wrote :

We now belive we understand the whole problem. A patch has been submitted upstream - see https://bugs.freedesktop.org/show_bug.cgi?id=28548

Hi,

(In reply to comment #2)
> I think I've worked out what is going on here (and which caused me to
> raise the erroneous bug 42285):
great!

> In ply_event_loop_process_pending_events(),
> ply_event_loop_handle_timeouts() is being called *after* epoll_wait(),
> but ply_event_loop_handle_timeouts() may free event sources.
ah ha. So to be a little more specific, a timeout callback may call ply_event_loop_stop_watching_fd and if that fd became ready at the same time as the callback then crash would result.

> I can reliabily force plymouthd to SIGSEGV (in various parts of the
> code) by running the following:
>
> plymouth show-splash
> plymouth quit
In this case plymouth quit queues a callback to get called after the animation gets to an idle state, on_boot_splash_idle calls functions that ultimately stops watching the terminal fd. if that callback happens in the same iteration of the loop that the terminal fd becomes ready, then boom. Makes sense. Thanks for figuring this out.

Comment on attachment 60179
reference event sources before calling timeout handler to ensure events stay valid for loop iteration.

Review of attachment 60179:
-----------------------------------------------------------------

::: src/libply/ply-event-loop.c
@@ +1296,5 @@
> + {
> + ply_event_source_t *source;
> + source = (ply_event_source_t *) (events[i].data.ptr);
> +
> + ply_event_source_take_reference (source);

we can't just take the reference inside the loop, since the loop may get called repeatedly because of EINTR. We could explicitly check for EINTR and not take the reference in that case, I guess. We do need to ensure events don't get dispatched after they are no longer being watched, but I think we should still be okay. The source is going to stick around, now, but the destination will still get free'd at stop_watching_fd time, so the source will in effect be orphaned and harmless.

Alright, pushed with minor changes:

http://cgit.freedesktop.org/plymouth/commit/?id=16c7b306b34839d95a05f246f2184a7aab03b180

Thanks for tracking this down!

James Hunt (jamesodhunt) wrote :

The full fix has now been accepted and committed upstream.

Changed in plymouth:
status: Confirmed → Fix Released
Matthew (justapawn) wrote :

I'm experiencing this bug using 12.10 Quantal Quetzal.

When I try to do "also affects project" it will let me add "quantal-backports" but not "Quantal", and that doesn't seem right. (Is it?)
So I don't know what to do.
Thanks for your help.

I am experiencing this problem using 13.04.

Changed in plymouth (Ubuntu Oneiric):
status: Incomplete → Invalid
dino99 (9d9) on 2013-05-17
tags: added: raring
removed: maverick natty oneiric
Adolfo Jayme (fitojb) on 2013-05-17
no longer affects: plymouth (Ubuntu Lucid)
no longer affects: plymouth (Ubuntu Maverick)
no longer affects: plymouth (Ubuntu Oneiric)
Mo Z (zmau1962) wrote :

Funny Story :

I had this bug infinite number of times. I was not able to work at all. The system would get to log-in window and crash after a few seconds. Once I was able to work a whole minuet before restart.....

In the following link I saw a comment which told me that this is a consequence of a race between two drivers https://bugs.freedesktop.org/show_bug.cgi?id=48894

So, I pulled out the Ethernet cable, and the problem disappeared. After the system is UP, I can re-connect the Ethernet, and there is no problem.....

More information : I am working with Ubuntu 12.04 on an Ivy Bridge machine....

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Patches

Remote bug watches

Bug watches keep track of this bug in other bug trackers.